<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Solid</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Solid Namespace Reference</h1>
<code>from PyKDE4.solid.Solid import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="Solid.DeviceInterface.html">DeviceInterface</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.PortableMediaPlayer.html">PortableMediaPlayer</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Solid.AcAdapter.html">AcAdapter</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.DeviceNotifier.html">DeviceNotifier</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.Predicate.html">Predicate</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Solid.AudioInterface.html">AudioInterface</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.DvbInterface.html">DvbInterface</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.Processor.html">Processor</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Solid.Battery.html">Battery</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.GenericInterface.html">GenericInterface</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.StorageAccess.html">StorageAccess</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Solid.Block.html">Block</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a class="el" href="Solid.StorageDrive.html">StorageDrive</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Solid.Button.html">Button</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.NetworkInterface.html">NetworkInterface</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.StorageVolume.html">StorageVolume</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a name="letter_O">&nbsp;&nbsp;O&nbsp;&nbsp;</a></td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Solid.Camera.html">Camera</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.OpticalDisc.html">OpticalDisc</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Solid.Video.html">Video</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="Solid.OpticalDrive.html">OpticalDrive</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="Solid.Device.html">Device</a>&nbsp;(<a class="el" href="Solid.html">Solid</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj173287852">ErrorType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoError, UnauthorizedOperation&nbsp;}</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj173287852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ErrorType</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoError</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>UnauthorizedOperation</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
